[**Flutter ETS API Documentation v1.0.0**](../../../../README.md)

***

# Class: DVModelChildren

Children array for DynamicView model components.
This class is observed to enable reactive updates when children change.
It serves as a container for child DVModel instances.

## Extends

- `Array`\<[`DVModel`](DVModel.md)\>

## Indexable

\[`n`: `number`\]: [`DVModel`](DVModel.md)

## Constructors

### Constructor

> **new DVModelChildren**(`arrayLength`): `DVModelChildren`

#### Parameters

##### arrayLength

`number`

#### Returns

`DVModelChildren`

#### Inherited from

`Array<DVModel>.constructor`

### Constructor

> **new DVModelChildren**(...`items`): `DVModelChildren`

#### Parameters

##### items

...[`DVModel`](DVModel.md)[]

#### Returns

`DVModelChildren`

#### Inherited from

`Array<DVModel>.constructor`
